<a id = "var-dump-plus" href="javascript:showVarDump()" title="var-dump" class = "var-dump-icon var-dump-plus">+</a>
<div id="var-dump" class="var-dump-content">
	<a id="var-dump-close" href = "javascript:hideVarDump();" title="close" class = "var-dump-icon var-dump-close">x</a>
	<input id = "var-dump-search" type = "text" class = "var-dump-search-input" placeholder="search" onchange="SearchVarDump();" onkeypress="SearchVarDump();" oninput="SearchVarDump();">
	<ul id = "var-dump-items" class = "var-dump-items">
	<% 
		<li class = "var-dump-item" id ="item-%*">
			<span class = "var-dump-key">%*</span>=
			<span class = "var-dump-value">
				<%|htmlentities|
					&strip_tags(&ifnull(%[%%*], "NULL"))<%(@# > 0), &strip_tags(&ifnull(@[%%%*], "NULL"))%>
				%>
			</span>
		</li>
	%>
		<li id = "var-dump-no-results" class ="var-dump-item" style="display:none">
			<span id = "var-dump-no-results-span" class="var-dump-value"></span>
		</li>
	</ul>
</div>

<script type="text/javascript">
	function showVarDump() {
		showAll();
		document.getElementById("var-dump").className = "var-dump-content";
		document.getElementById("var-dump").style.display = "block";
		document.getElementById("var-dump-plus").style.display="none";
		document.getElementById("var-dump-close").style.display="block";
		document.getElementById("var-dump-search").style.display="block";
		document.getElementById("var-dump-search").focus();
		document.getElementById("var-dump-search").value = '';
		SearchVarDump();
	}
	function hideVarDump() {
		document.getElementById("var-dump").className = "var-dump-content var-dump-turnoff";
		setTimeout( function(){
			document.getElementById("var-dump").className = "var-dump-content var-dump-turnoff-2";
		}, 100);
		setTimeout( function(){
			document.getElementById("var-dump").className = "var-dump-content";
			document.getElementById("var-dump").style.display = "none";
		}, 200);
		document.getElementById("var-dump-close").style.display="none";
		document.getElementById("var-dump-search").style.display="none";
		document.getElementById("var-dump-plus").style.display="inline-block";
	}
	document.onkeyup = checkPlus;
	function checkPlus(e) {
		e = e || window.event;
		var keyCode = (e.which) ? e.which : e.keyCode
    	
		if (e.keyCode == '187') {
	    	showVarDump();
		}
		if (e.keyCode == '27') {
	        hideVarDump();
		}
	}
	function SearchVarDump(){
		var query = document.getElementById("var-dump-search").value.toLowerCase();
		var items = document.getElementsByClassName("var-dump-item");
		var results = 0;
		if(query.length == 0){
			showAll();
			return;
		}
		for (var i = 0; i < items.length; i++){
			var item = items[i];
			if(item.id != "var-dump-no-results"){
				var key = item.getElementsByTagName("span")[0].innerHTML.toLowerCase();
				var value = item.getElementsByTagName("span")[1].innerHTML.toLowerCase();
				if(key.indexOf(query) == -1 && value.indexOf(query) == -1){
					item.style.display = "none";
				}else{
					item.style.display = "block";
					results++;
				}
			}
		}
		showResultsMessage(results);
	}
	function showAll(){
		var items = document.getElementsByClassName("var-dump-item");
		for (var i = 0; i < items.length; i++){
			items[i].style.display  = "block";
		}
	}
	function showResultsMessage(results){
		var msgs = ["No results", "Nope", "No results found", "This is not the variable you are looking for", "Nothing", "Never heard of it", "LOL WUT"];
		if(results == 0){
			document.getElementById("var-dump-no-results").style.display = "block";
			var i = Math.floor(Math.random()*msgs.length);
			document.getElementById("var-dump-no-results-span").innerHTML = msgs[i];
		}else{
			document.getElementById("var-dump-no-results").style.display = "none";
		}
	}
</script>
